// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/OverallDiagnosticRecord.cpp 975 2018-10-31 09:24:04Z depa $
#include "tiptilt_ctrl/bcu/Interface/Sharknir/Bcu/OverallDiagnosticRecord.h"

#include <Basda/Microgate/Mgp/ByteBuffer.h>
#include <cstdio>


namespace Sharknir { namespace Bcu {

std::ostream& operator<<(std::ostream& os,
                 const Sharknir::Bcu::OverallDiagnosticRecordVar& rec)
{
    os << "[frameCounter=" << rec.frameCounter << "]";
    return os;
}

std::istream& operator>>(std::istream& is,
		Sharknir::Bcu::OverallDiagnosticRecordVar&)
{
    std::string s;
    is >> s;
    return is;
}

}
}

struct PythonTypeExposureAssertion
{
    PythonTypeExposureAssertion()
    {
    	byteBufferEqualsSeqByte();
    }

    void byteBufferEqualsSeqByte()
    {
        Basda::Microgate::ByteBuffer* buffer= new Sharknir::Bcu::SeqByte();
        if ("compilerIsUpsetAboutUnusedVariable")
        {
            buffer->size();
        }
    }
} s_Assertion;

